LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-02-2003, 02:04 PM   #1
element
Member
 
Registered: Jan 2003
Distribution: Debian
Posts: 106

Rep: Reputation: 15
Compiling Loudmouth


Ok, I want to compile Loudmouth with gnuTLS but I get an error:
Quote:
checking for libgnutls-config... no
checking for libgnutls - version >= 0.8.9... no
*** The libgnutls-config script installed by LIBGNUTLS could not be found
*** If LIBGNUTLS was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the LIBGNUTLS_CONFIG environment variable to
the
*** full path to libgnutls-config.
Couldn't find GnuTLS, disabling SSL support
I searched for gnuTLS and that's what came up:
Quote:
/loudmouth-0.13.2# find / -name libgnutls*
/var/lib/dpkg/info/libgnutls5.postrm
/var/lib/dpkg/info/libgnutls5.shlibs
/var/lib/dpkg/info/libgnutls5.postinst
/var/lib/dpkg/info/libgnutls7.postrm
/var/lib/dpkg/info/libgnutls7.shlibs
/var/lib/dpkg/info/libgnutls5.list
/var/lib/dpkg/info/libgnutls7.list
/var/lib/dpkg/info/libgnutls5.md5sums
/var/lib/dpkg/info/libgnutls7.md5sums
/var/lib/dpkg/info/libgnutls7.postinst
/var/cache/apt/archives/libgnutls7_0.8.9-2_i386.deb
/usr/lib/libgnutls.so.5.3.6
/usr/lib/libgnutls.so.7.0.9
/usr/lib/libgnutls.so.5
/usr/lib/libgnutls.so.7
/usr/lib/libgnutls-extra.so.5.3.6
/usr/lib/libgnutls-extra.so.7.0.9
/usr/lib/libgnutls-extra.so.5
/usr/lib/libgnutls-extra.so.7
/usr/share/doc/libgnutls5
/usr/share/doc/libgnutls7
Is gnuTLS installed properly? Or do I have to set the LIBGNUTLS_CONFIG environment variable and if so, how do I do that?

I'm running debian.
 
Old 09-02-2003, 03:26 PM   #2
darthtux
Senior Member
 
Registered: Dec 2001
Location: 35.7480 N, 95.3690 W
Distribution: Debian, Gentoo, Red Hat, Solaris
Posts: 2,070

Rep: Reputation: 46
Looks like you need libgnutls-dev apt-get for it
 
Old 09-02-2003, 04:00 PM   #3
element
Member
 
Registered: Jan 2003
Distribution: Debian
Posts: 106

Original Poster
Rep: Reputation: 15
Thanks, how could I overlooked that obvious solution?
 
Old 09-02-2003, 05:01 PM   #4
darthtux
Senior Member
 
Registered: Dec 2001
Location: 35.7480 N, 95.3690 W
Distribution: Debian, Gentoo, Red Hat, Solaris
Posts: 2,070

Rep: Reputation: 46
Well, you have to have had a similar problem before Most everyone who uses Linux had to learn it.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Compiling narcussist Fedora 6 01-18-2006 01:50 PM
Help with my first compiling? Will Sjorensen Linux - Newbie 9 04-22-2005 06:27 PM
Various Compiling Errors (GCC compiling Openal, GUIlib, xmms-wma) gregorya Linux - Software 2 08-27-2004 06:03 AM
Compiling in ACPI support on Compaq 2135CA (system crashes while compiling) Dag Linux - Laptop and Netbook 20 07-30-2004 08:56 PM
Kernel compiling and module compiling tarballed Linux - General 1 12-22-2002 06:31 PM


All times are GMT -5. The time now is 04:24 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration